# Generating an API Key Source: https://docs.polydata.co/api-keys Step-by-step guide to create your Polydata API key Polydata requires API keys critical functionality, such as accessing data from a Hub you're subscribed to, or uploading data to a Hub you're a member of. This page provides a step-by-step overview on how you can generate an API key. ## Step 1: Navigate to Settings After logging in to Polydata, click on the settings icon in the top right corner to access your account settings. Navigate to Settings ## Step 2: Go to the API Keys Section In the account settings page, you should see an "API Keys" section at the bottom. Navigate to API Keys ## Step 3: Copy your API Key Type in your API key name, and then hit Generate API Key. Click the show button, and copy the API key to save somewhere. Navigate to Settings Keep your API key secure! Never share it publicly or commit it to version control. Your API key will look something like this: ``` pd_sk_n9G-99bd8KglTZ_1POPHEztPNzXxQSF4OH5BByYkt21 ``` ## Testing your API Key You'll need to use your API key in the authorization header of every request: ```bash theme={null} curl -H "Authorization: Bearer YOUR_API_KEY" \ "https://api.polydata.co/v1/auth/test-auth" ``` For example, you can test your above API key with: ```bash theme={null} curl -H "Authorization: Bearer pd_sk_n9G-99bd8KglTZ_1POPHEztPNzXxQSF4OH5BByYkt21" \ "https://api.polydata.co/v1/auth/test-auth" ``` ## Next Steps Now that you have an API key, learn how to fetch data from Polydata # Get Data View Source: https://docs.polydata.co/api-reference/get-data-view GET /v1/data/views/{hub_schema_name}/{data_view_name} Many endpoints support custom query parameters for filtering data. To see which query parameters are available for a specific endpoint, visit the hub's API page (e.g., [Fight Matrix API](https://www.polydata.co/fight-matrix/api)) where all available parameters, their types, and examples are documented. ## Examples ```bash Basic Request theme={null} curl -H "Authorization: Bearer YOUR_API_KEY" \ "https://api.polydata.co/v1/data/views/intraocular/top_5_players" ``` ```python Python Example theme={null} import requests # Basic request url = "https://api.polydata.co/v1/data/views/intraocular/top_5_players" headers = {"Authorization": "Bearer YOUR_API_KEY"} response = requests.get(url, headers=headers) data = response.json() print(data) ``` ```bash With Query Parameters theme={null} # Example using Fight Matrix endpoint with date and weight class filters curl -H "Authorization: Bearer YOUR_API_KEY" \ "https://api.polydata.co/v1/data/views/fight_matrix/fighters_historical_view?date=2024-01-01&weight_class=HW" ``` ```python Python Query Parameters theme={null} import requests # Example using query parameters (Fight Matrix endpoint) url = "https://api.polydata.co/v1/data/views/fight_matrix/fighters_historical_view" headers = {"Authorization": "Bearer YOUR_API_KEY"} params = { "date": "2024-01-01", "weight_class": "HW" } response = requests.get(url, headers=headers, params=params) data = response.json() print(data) ``` # Welcome Source: https://docs.polydata.co/creators/welcome Polydata is built for data creators to share and monetize their data. We want to make the creator experience as easy as possible, so folks can focus on their data, metrics and apps, and not worry about infrastructure. Full documentation coming soon... # Introduction Source: https://docs.polydata.co/introduction Polydata is a platform for data lovers to share, analyze, and monetize their data. It all starts with the data creator. The data creator creates a hub, and then uploads their data to the Hub. From here, the creator can create apps,or make endpoints available for downstream consumers. Data viewers can browse publically available data apps, and also subscribe for more features, such as paywalled data-apps, data-analysis, and even direct access to the data itself via endpoints.